"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                             */
;/* empty css                                                                     */
const Vue = require("vue");
const common = require("../../utils/common.js");
const widgets = require("./widgets.vue.js");
const pageHeaderBtn = require("./pageHeaderBtn.vue.js");
const pageFooterBtn = require("./pageFooterBtn.vue.js");
const subTitleH2 = require("./subTitleH2.vue.js");
const subForm = require("./subForm.vue.js");
const subTable = require("./subTable.vue.js");
const blank = require("./blank.vue.js");
const approvalHistory = require("./approvalHistory.vue.js");
const document = require("./document.vue.js");
const contract = require("./contract.vue.js");
const index = require("../../../../../node_modules/element-plus/es/components/scrollbar/index.js");
const _sfc_main = {
  __name: "index",
  setup(__props) {
    const currentItem = Vue.computed(() => {
      return common.getCurrentItem();
    });
    const editingProperty = Vue.computed(() => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j;
      switch ((_a = currentItem.value) == null ? void 0 : _a.type) {
        case "widgets":
          if (((_b = currentItem.value) == null ? void 0 : _b.fieldType) == "subTitle" || ((_c = currentItem.value) == null ? void 0 : _c.fieldType) == "h2") {
            return subTitleH2.default;
          } else if (((_d = currentItem.value) == null ? void 0 : _d.fieldType) == "subForm") {
            return subForm.default;
          } else if (((_e = currentItem.value) == null ? void 0 : _e.fieldType) == "subTable") {
            return subTable.default;
          } else if (((_f = currentItem.value) == null ? void 0 : _f.fieldType) == "blank") {
            return blank.default;
          } else if (((_g = currentItem.value) == null ? void 0 : _g.fieldType) == "approvalHistory") {
            return approvalHistory.default;
          } else if (((_h = currentItem.value) == null ? void 0 : _h.fieldType) == "document") {
            return document.default;
          } else if (((_i = currentItem.value) == null ? void 0 : _i.fieldType) == "contract") {
            return contract.default;
          } else if (((_j = currentItem.value) == null ? void 0 : _j.fieldType) == "divider") {
            return null;
          } else {
            return widgets.default;
          }
        case "pageHeaderBtn":
          return pageHeaderBtn.default;
        case "pageFooterBtn":
          return pageFooterBtn.default;
      }
      return null;
    });
    return (_ctx, _cache) => {
      const _component_el_scrollbar = index.ElScrollbar;
      return Vue.openBlock(), Vue.createBlock(_component_el_scrollbar, null, {
        default: Vue.withCtx(() => [
          (Vue.openBlock(), Vue.createBlock(Vue.resolveDynamicComponent(Vue.unref(editingProperty))))
        ]),
        _: 1
      });
    };
  }
};
exports.default = _sfc_main;
